> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List stablecoin inbound payments

> Returns a list of stablecoin inbound payments for a given Budget.



## OpenAPI

````yaml /autogenerated/openapi/stablecoins.openapi.json get /stablecoins/payments
openapi: 3.1.0
info:
  title: Stablecoins API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /stablecoins/payments:
    get:
      tags:
        - Payments
      summary: List stablecoin inbound payments
      description: Returns a list of stablecoin inbound payments for a given Budget.
      operationId: findAllPayments
      parameters:
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: budgetId
          in: query
          schema:
            description: The ID of the budget to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: 775596ae-2624-40af-a9dc-9756110a4a03
        - name: limit
          in: query
          schema:
            description: The maximum number of results to return.
            default: 100
            type:
              - integer
            minimum: 1
            maximum: 1000
            example: 200
        - name: offset
          in: query
          schema:
            description: The number of items to skip before returning results.
            default: 0
            type:
              - integer
            example: 100
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  limit:
                    description: The maximum number of results to return.
                    default: 100
                    type:
                      - integer
                    minimum: 1
                    maximum: 1000
                    example: 200
                  offset:
                    description: The number of items to skip before returning results.
                    default: 0
                    type:
                      - integer
                    example: 100
                  count:
                    type:
                      - integer
                    description: >-
                      The total amount of records matching the querying when
                      "limit" is ignored.
                    example: 67
                  rows:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                          format: uuid
                          description: The ID of the BVNK payment to work with.
                          example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                        accountId:
                          description: The ID of the account to work with.
                          type:
                            - string
                          example: F50091
                        budgetId:
                          description: The ID of the budget to work with.
                          type:
                            - string
                          format: uuid
                          maxLength: 36
                          example: 775596ae-2624-40af-a9dc-9756110a4a03
                        status:
                          type:
                            - string
                          enum:
                            - PENDING
                            - PROCESSING
                            - CANCELLED
                            - COMPLETE
                            - UNDERPAID
                            - OVERPAID
                            - EXPIRED
                        remitterId:
                          type:
                            - string
                          format: uuid
                          description: >-
                            The ID of the BVNK remitter associated with the
                            payment.
                          example: a1111111-2222-3333-4444-555555555555
                        amount:
                          type:
                            - number
                          exclusiveMinimum: 0
                          description: The amount to be paid.
                          example: 100
                        displayName:
                          type:
                            - string
                            - 'null'
                          minLength: 1
                          maxLength: 255
                          example: 'Invoice #12345'
                        sourceCurrencyCode:
                          type:
                            - string
                          minLength: 3
                          maxLength: 4
                          description: The currency the remitter will send.
                          example: USDC
                        destinationCurrencyCode:
                          type:
                            - string
                          minLength: 3
                          maxLength: 4
                          description: >-
                            The currency that should be received into the
                            budget.
                          example: USD
                        expiresAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date/time at which the payment expires. ISO 8601
                            format without milliseconds.
                          example: '2025-01-30T08:30:00.000Z'
                        createdBy:
                          type:
                            - string
                          minLength: 1
                          maxLength: 255
                          example: John Smith
                        createdAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was initially created. ISO
                            8601 format without milliseconds.
                        updatedAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was last modified. ISO 8601
                            format without milliseconds.
                      required:
                        - id
                        - accountId
                        - budgetId
                        - status
                        - remitterId
                        - amount
                        - sourceCurrencyCode
                        - destinationCurrencyCode
                        - createdBy
                        - createdAt
                        - updatedAt
                required:
                  - count
                  - rows
                example:
                  limit: 200
                  offset: 100
                  count: 67
                  rows:
                    - id: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                      accountId: F50091
                      budgetId: 775596ae-2624-40af-a9dc-9756110a4a03
                      status: PENDING
                      remitterId: a1111111-2222-3333-4444-555555555555
                      amount: 100
                      displayName: 'Invoice #12345'
                      sourceCurrencyCode: USDC
                      destinationCurrencyCode: USD
                      expiresAt: '2025-01-30T08:30:00.000Z'
                      createdBy: John Smith
                      createdAt: '2019-08-24T14:15:22Z'
                      updatedAt: '2019-08-24T14:15:22Z'
      security:
        - CommonAuth:
            - remitters:read:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/stablecoins/payments?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````